SystemOrganization addCategory: #ConfigurationOfEyeSee!

Object subclass: #ConfigurationOfEyeSee
	instanceVariableNames: 'project'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ConfigurationOfEyeSee'!

!ConfigurationOfEyeSee commentStamp: 'TudorGirba 4/5/2011 22:00' prior: 0!
ConfigurationOfEyeSee loadDefault!

!ConfigurationOfEyeSee class methodsFor: 'private' stamp: 'TudorGirba 4/27/2011 13:28'!
ensureMetacello
        "Bootstrap Gofer (if necessary), load latest mcz file for ConfigurationOfMetacello (using old 
         Gofer API), then load the latest version of Metacello itself."

        Smalltalk at: #MetacelloProject ifAbsent: [ | error |
                "list of repositories to try, in case primary repository is not accessible"
                (Array 
                        with: 'http://www.squeaksource.com/MetacelloRepository' 
                        with: 'http://seaside.gemstone.com/ss/metacello') do: [:repositoryUrl |
                                ([
                                        Smalltalk at: #Gofer ifAbsent: [
                                        "Current version of Gofer from which to bootstrap - as of 1.0-beta.21"
                                                self bootstrapPackage: 'Gofer-Core-lr.115' from: repositoryUrl ].
                                        Smalltalk at: #Gofer ifPresent: [:goferClass | | gofer |
                                                gofer := goferClass new
                                                        url: repositoryUrl;
                                                        yourself.
                                                [ gofer addPackage: 'ConfigurationOfMetacello' ] on: Warning do: [:ex | ex resume ].
                                                gofer load ]]
                                                        on: Error
                                                        do: [ :ex |
                                                                error := ex.
                                                                Transcript 
                                                                        cr; 
                                                                        show: 'failed ensureMetacello: ';
                                                                        show: ex description printString;
                                                                        show: '...retrying'.
                                                                "try again"
                                                                ex return: nil ]) ~~ nil
                                        ifTrue: [
                                                "load 'default' group of Metacello"
                                                (Smalltalk at: #ConfigurationOfMetacello) perform: #load.
                                                ^self ]].
                "shouldn't get here unless the load failed ... throw an error"
                self error: 'retry with alternate repository failed: ', error description printString ]! !

!ConfigurationOfEyeSee class methodsFor: 'metacello tool support' stamp: 'TudorGirba 4/5/2011 21:57'!
isMetacelloConfig
	"Answer true and the Metacello tools will operate on you"
	
	^true! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadDefault
	(self project version: 'default') load! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastStable
	self project latestVersion load! !

!ConfigurationOfEyeSee class methodsFor: 'loading' stamp: 'TudorGirba 4/5/2011 21:57'!
loadLastestVersion
	self default! !

!ConfigurationOfEyeSee class methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^self new project! !

!ConfigurationOfEyeSee methodsFor: 'baselines' stamp: 'TudorGirba 5/20/2011 13:15'!
default: spec 
	<version: 'default'>

	spec for: #common do: [
		spec blessing: #baseline.
		spec repository: 'http://www.squeaksource.com/EyeSee'.
		spec 
 			package: 'EyeSee-Core' with: [spec requires: #('ShapeST80')];
			package: 'EyeSee-Events';
 			package: 'EyeSee-Axis';
			package: 'EyeSee-Tests-Core';
			package: 'EyeSee-Support'.
	
		spec group: 'Tests' with: #('EyeSee-Tests-Core').

		spec project: 'ShapeST80' with: [
				spec 
					className: 'ConfigurationOfShapeST80';
					version: #development;
					file:  'ConfigurationOfShapeST80';
					repository: 'http://www.squeaksource.com/ShapeST80'].				
		 ]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'TudorGirba 4/5/2011 21:58'!
development: spec
	<symbolicVersion: #'development'>

	spec for: #'common' version: 'notDefined'.
! !

!ConfigurationOfEyeSee methodsFor: 'accessing' stamp: 'TudorGirba 4/5/2011 21:57'!
project

	^ project ifNil: [ | constructor |
		"Bootstrap Metacello if it is not already loaded"
		self class ensureMetacello.
		"Construct Metacello project"
		constructor := (Smalltalk at: #MetacelloVersionConstructor) on: self.
		project := constructor project.
		project]! !

!ConfigurationOfEyeSee methodsFor: 'symbolic versions' stamp: 'TudorGirba 4/5/2011 21:58'!
stable: spec
	<symbolicVersion: #'stable'>

	spec for: #'common' version: 'notDefined'.
! !
